import request from '@/utils/request'

// 广告主列表
export function getAdvertiserList(query) {
    return request({
        url: '/kuaishou/advertiser/list',
        method: 'get',
        params: query
    })
}
// 新增广告主
export function addAdvertiser(query) {
    return request({
        url: '/kuaishou/advertiser/add',
        method: 'post',
        data: query
    })
}
// 修改广告主
export function editAdvertiser(query) {
    return request({
        url: '/kuaishou/advertiser/edit',
        method: 'post',
        data: query
    })
}

// 删除广告主
export function deleteById(query) {
    return request({
        url: '/kuaishou/advertiser/deleteById',
        method: 'get',
        params: query
    })
}






// 项目列表
export function getProjectList(query) {
    return request({
        url: '/kuaishou/project/list',
        method: 'get',
        params: query
    })
}

// 获取优化目标
export function getOcpxActionType(query) {
    return request({
        url: '/kuaishou/project/getOcpxActionType',
        method: 'get',
        params: query
    })
}

// 新增项目
export function addProject(query) {
    return request({
        url: '/kuaishou/project/add',
        method: 'post',
        data: query
    })
}
// 修改项目
export function editProject(query) {
    return request({
        url: '/kuaishou/project/edit',
        method: 'post',
        data: query
    })
}
// 删除项目
export function peojectDeleteById(query) {
    return request({
        url: '/kuaishou/project/deleteById',
        method: 'get',
        params: query
    })
}


// 我的项目列表
export function getMyProjects(query) {
    return request({
        url: '/kuaishou/project/getMyProjects',
        method: 'get',
        params: query
    })
}

// 通过项目id查账户
export function getAccountByProjectId(query) {
    return request({
        url: '/kuaishou/account/getAccountByProjectId',
        method: 'get',
        params: query
    })
}

// 项目参与人员
export function queryProjectUsers(query) {
    return request({
        url: '/kuaishou/project/queryProjectUsers',
        method: 'get',
        params: query
    })
}

// 删除项目参与人员
export function deleteProjectUsers(query) {
    return request({
        url: '/kuaishou/project/deleteProjectUsers',
        method: 'post',
        params: query
    })
}

// 新增项目参与人员
export function addProjectUsers(query) {
    return request({
        url: '/kuaishou/project/addProjectUsers',
        method: 'post',
        data: query
    })
}





// 未认领账户
export function getUnboundAccountList(query) {
    return request({
        url: '/kuaishou/account/unboundAccountList',
        method: 'get',
        params: query
    })
}

// 我的账户
export function getAccountList(query) {
    return request({
        url: '/kuaishou/account/list',
        method: 'get',
        params: query
    })
}
// 我的账户-删除
export function accountDeleteById(query) {
    return request({
        url: '/kuaishou/account/deleteById',
        method: 'get',
        params: query
    })
}
// 我的账户-转让
export function addTransferAccount(query) {
    return request({
        url: '/kuaishou/transfer/addTransferAccount',
        method: 'post',
        data: query
    })
}
// 我的账户-转让
export function editTransferAccountStatus(query) {
    return request({
        url: '/kuaishou/transfer/editTransferAccountStatus',
        method: 'post',
        data: query
    })
}
// 我的账户-修改
export function editAccountStatus(query) {
    return request({
        url: '/kuaishou/account/edit',
        method: 'get',
        params: query
    })
}


// 转让审核列表
export function transferList(query) {
    return request({
        url: '/kuaishou/transfer/list',
        method: 'get',
        params: query
    })
}


// 认领账户
export function claimAccount(query) {
    return request({
        url: '/kuaishou/account/claimAccount',
        method: 'post',
        data: query
    })
}

// 取消认领
export function deleteClaimAccount(query) {
    return request({
        url: '/kuaishou/account/deleteClaimAccount',
        method: 'get',
        params: query
    })
}

// 同步账户
export function syncAccounts(query) {
    return request({
        url: '/agent/account/syncAccounts',
        method: 'get',
        params: query
    })
}















